Search Memories
curl --request POST \
--url https://api.example.com/api/v1/memories/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"user_id": "<string>",
"limit": 10,
"retrieval_method": "agentic"
}
'import requests
url = "https://api.example.com/api/v1/memories/search"
payload = {
"query": "<string>",
"user_id": "<string>",
"limit": 10,
"retrieval_method": "agentic"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({query: '<string>', user_id: '<string>', limit: 10, retrieval_method: 'agentic'})
};
fetch('https://api.example.com/api/v1/memories/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"memories": [
{
"memory_id": "<string>",
"user_id": "<string>",
"memory": "<string>",
"topics": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
],
"total_results": 123,
"query": "<string>",
"retrieval_method": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Memory
Search Memories
Search memories for the current user.
Supports different retrieval methods:
- agentic: AI-powered semantic search (default)
- last_n: Most recent memories
- first_n: Oldest memories
POST
/
api
/
v1
/
memories
/
search
Search Memories
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The workspace ID
Body
application/json
Schema for memory search request.
Search query for memories.
User ID.
Maximum number of memories to return.
Required range:
1 <= x <= 100Retrieval method: 'agentic', 'agentic_vector', 'agentic_hybrid', 'agentic_keyword', 'vector', 'hybrid', 'keyword', 'last_n', or 'first_n'.
Response
Successful Response
⌘I